/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 */

#ifndef BONUSSPRUNG_H_
#define BONUSSPRUNG_H_

#include "steuerfunktion.h"
#include "kollision.h"
#include "figur.h"

class BonusSprung : public Steuerfunktion
{
private:
	Figur* figur;
	
public:
	BonusSprung(Figur* figur);

	bool istBeendet();
	void kollision(Kollision& kollision);
	std::string getName();

};

#endif /*BONUSSPRUNG_H_*/
