/*
	Copyright 2007 Sebastian von Helden

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Sebastian von Helden
 */

#ifndef GEGNERSPRUNG_H_
#define GEGNERSPRUNG_H_

#include "steuerfunktion.h"
#include "kollision.h"
#include "figur.h"

class Gegnersprung : public Steuerfunktion
{
private:
	Figur* figur;

public:
	Gegnersprung(Figur* figur);

	bool istBeendet();
	void kollision(Kollision& kollision);
	std::string getName();

};

#endif /*GEGNERSPRUNG_H_*/
