/*
	Copyright 2007 Zafir Mahmutovic, Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef HINTERGRUND_H_
#define HINTERGRUND_H_

#include "sprite.h"
#include "level.h"
#include "spritemanager.h"

class Hintergrund
{
private:
	int verschiebung;
	Sprite* grafik;
	Level* level;
	static const int parallaxTeiler = 2;
public:
	Hintergrund( std::string dateiname, Level* level, SpriteManager* spriteManager );
	~Hintergrund();
	
	void setVerschiebung( int verschiebung );
	void zeichnen();
};

#endif /*HINTERGRUND_H_*/
