/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tiletyp.h"

TileTyp& operator++(TileTyp& typ){
	int tmp = typ;
	tmp++;
	if (tmp == TILETYP_LETZTES_TILE){
		tmp = TILETYP_BLOCK;
	}
	typ = TileTyp(tmp);
	return typ;
}

TileTyp& operator--(TileTyp& typ)
{
	int tmp = typ;
	tmp--;
	if (tmp == 0){
		tmp = TILETYP_LETZTES_TILE - 1;
	}
	typ = TileTyp(tmp);
	return typ;
}
