/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KISTE_H_
#define KISTE_H_


#include "figur.h"

class Level;
class SpriteManager;

class Kiste : public Figur
{
protected:
	// Haelt fest, ob diese Kiste noch mal ausgelst werden kann.
	bool endzustand;
public:
	Kiste(const std::string name, const std::string& animationsdatei,
				Level* level, SpriteManager* spriteManager);

	virtual ~Kiste();
		
	virtual void ausgeloest();
	virtual std::string getSound();
	virtual int getPunkte();
	bool isEndzustand();
};

#endif /*KISTE_H_*/
